<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Estimated Revenue</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Estimated Revenue
        <small>List Data</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Reports</li>
        <li class="active"> Estimated Revenue</li>
    </ol>
</section>

<section layout:fragment="main" class="content">


    <div class="row">
        <div class="col-md-12">
            <div class="box">
                <div class="box-header with-border">
                    <div class = "col-md-12">
                        <h3 class="box-title">Estimated Revenue</h3>
                    </div>
                    <br>
                    <br>
                    <form method="get">

                        <div class = "col-md-4">

                            <div class="form-group">
                                <label for="tanggalMulai" class="col-sm-2 control-label">From</label>

                                <div class="col-sm-10">
                                    <input type="text" class="form-control" th:value="${tanggalMulai}" name="tanggalMulai" id="tanggalMulai" placeholder="From">
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="tanggalSelesai" class="col-sm-2 control-label">Until</label>

                                <div class="col-sm-10">
                                    <input type="text" class="form-control" th:value="${tanggalSelesai}" name="tanggalSelesai" id="tanggalSelesai" placeholder="Until">
                                </div>
                            </div>

                            <br>



                        </div>
                        <div class="col-md-8">
                            <input type="submit" class="btn btn-primary" title="View" value="View">

                        </div>
                    </form>
                    <form method="post" th:action="@{/reports/estimasi_revenue/export}">
                        <div class="col-md-12">
                            <input type="hidden" name="tanggalMulaiExport" th:value="${tanggalMulai}">
                            <input type="hidden" name="tanggalSelesaiExport" th:value="${tanggalSelesai}">
                            <input th:if="${tanggalMulai != null}" type="submit" class="btn btn-success pull-right" title="Export" value="Export">
                        </div>
                    </form>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <table class="table table-bordered">
                        <tr>
                            <th style="width: 10px">#</th>
                            <th>Date</th>
                            <th>Code</th>
                            <th>Name</th>
                            <th>Detail</th>
                            <th>Qty</th>
                            <th>Unit</th>
                            <th>Amount</th>
                            <th>Total</th>
                        </tr>
                        <tr th:each="dataEstimasiPenerimaan,row: *{listEstimasiPenerimaan}">
                            <td th:text="${(row.index + 1)}">1.</td>
                            <td th:text="${#temporals.format(dataEstimasiPenerimaan.getTanggalPenerimaan(),'dd-MMM-yyyy')}"></td>
                            <td th:text="${dataEstimasiPenerimaan.getKodeMataAnggaran()}"></td>
                            <td th:text="${dataEstimasiPenerimaan.getNamaMataAnggaran()}"></td>
                            <td th:text="${dataEstimasiPenerimaan.getKeterangan()}"></td>
                            <td th:text="${dataEstimasiPenerimaan.getKuantitas()}"></td>
                            <td th:text="${dataEstimasiPenerimaan.getSatuan()}"></td>
                            <td th:text="${#numbers.formatDecimal(dataEstimasiPenerimaan.getAmount(), 0, 'POINT', 2, 'COMMA')}"></td>
                            <td th:text="${#numbers.formatDecimal(dataEstimasiPenerimaan.getTotal(), 0, 'POINT', 2, 'COMMA')}"></td>
                        </tr>
                        <tr>
                            <td colspan="8">Total Estimated</td>
                            <td th:text="${#numbers.formatDecimal(totalEstimasiPenerimaan, 0, 'POINT', 2, 'COMMA')}"></td>
                        </tr>
                    </table>
                </div>
                <!-- /.box-body -->
                <div class="box-footer clearfix">
                </div>
            </div>
            <!-- /.nav-tabs-custom -->
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#range').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalMulai').datepicker({
                autoclose: true
            })

            $('#tanggalSelesai').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
    <script>
        $(function () {
            //Enable iCheck plugin for checkboxes
            //iCheck for checkbox and radio inputs
            $('.mailbox-messages input[type="checkbox"]').iCheck({
                checkboxClass: 'icheckbox_flat-blue',
                radioClass: 'iradio_flat-blue'
            });

            //Enable check and uncheck all functionality
            $(".checkbox-toggle").click(function () {
                var clicks = $(this).data('clicks');
                if (clicks) {
                    //Uncheck all checkboxes
                    $(".mailbox-messages input[type='checkbox']").iCheck("uncheck");
                    $(".fa", this).removeClass("fa-check-square-o").addClass('fa-square-o');
                } else {
                    //Check all checkboxes
                    $(".mailbox-messages input[type='checkbox']").iCheck("check");
                    $(".fa", this).removeClass("fa-square-o").addClass('fa-check-square-o');
                }
                $(this).data("clicks", !clicks);
            });

            //Handle starring for glyphicon and font awesome
            $(".mailbox-star").click(function (e) {
                e.preventDefault();
                //detect type
                var $this = $(this).find("a > i");
                var glyph = $this.hasClass("glyphicon");
                var fa = $this.hasClass("fa");

                //Switch states
                if (glyph) {
                    $this.toggleClass("glyphicon-star");
                    $this.toggleClass("glyphicon-star-empty");
                }

                if (fa) {
                    $this.toggleClass("fa-star");
                    $this.toggleClass("fa-star-o");
                }
            });
        });
    </script>
</section>
</body>
</html>